# Pref (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.parameter

## Class Pref

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter
  - - net.fortuna.ical4j.vcard.parameter.Pref

All Implemented Interfaces:
  Serializable

    public final class Pref
    extends Parameter

PREF parameter. $Id$ Created on: 30/12/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Parameter

`Parameter.Id`

### Field Summary

Fields
`static ParameterFactory<Pref>` `FACTORY`
`static Pref` `PREF` Support for pre-vCard 4.0 PREF parameter.

### Constructor Summary

Constructors
Constructor and Description
`Pref(Integer level)`
`Pref(String value)`

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.vcard.Parameter

`equals, getId, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PREF

    public static final Pref PREF

Support for pre-vCard 4.0 PREF parameter.

#### FACTORY

    public static final ParameterFactory<Pref> FACTORY

### Constructor Detail

#### Pref

    public Pref(String value)

Parameters:
  `value` - a string representation of a pref parameter value

#### Pref

    public Pref(Integer level)

Parameters:
  `level` - priority level for the pref parameter

### Method Detail

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Parameter`
Returns:
  a string representation of the value of the parameter